/*****************************************************************************
*  ADBotPlayerV1                                                             *
*                                                                            *
*  Copyright (C) 2008 Andreas Dittrich                                       *
*                                                                            *
*  Author:  Andreas Dittrich                                                 *
*           Am Schimmelberg 29                                               *
*           67729 Sippersfeld (Germany)                                      *
*****************************************************************************/

#ifndef GAMEINTERFACE_H
#define GAMEINTERFACE_H



#define NUM_BYTES_VECTOR_RAM 1024


typedef struct {
	uint8_t* pVectorRam;
	uint32_t keys;
	void* keys_tag;
} Frame_t;


void * GameInterface_open( 	char InetAddressStr[] );

void GameInterface_close( void *hGameInterface );

int GameInterface_sync( 
	void *hnd );

int GameInterface_reset( void *hGameInterface );

int GameInterface_receiveNextFrame( 
	void *hnd, 
	Frame_t *pFrame,
	int *pTimestamp );

int GameInterface_sendNewKeys( 
	void *hnd, 
	uint32_t keys,
	void* keys_tag );

int SendName(
	void *hnd, 
	char *name );



#endif

