/*****************************************************************************
*  ADBotPlayerV1                                                             *
*                                                                            *
*  Copyright (C) 2008 Andreas Dittrich                                       *
*                                                                            *
*  Author:  Andreas Dittrich                                                 *
*           Am Schimmelberg 29                                               *
*           67729 Sippersfeld (Germany)                                      *
*****************************************************************************/

static const vector_t v0_shots[256] = {
	{  63,   0}, {  63,   1}, {  63,   3}, 
	{  63,   4}, {  63,   6}, {  63,   8}, 
	{  63,   9}, {  62,  11}, {  62,  12}, 
	{  62,  14}, {  61,  15}, {  61,  17}, 
	{  61,  18}, {  60,  20}, {  60,  21}, 
	{  59,  23}, {  58,  24}, {  58,  25}, 
	{  57,  27}, {  56,  28}, {  56,  30}, 
	{  55,  31}, {  54,  32}, {  53,  34}, 
	{  53,  35}, {  52,  36}, {  51,  38}, 
	{  50,  39}, {  49,  40}, {  48,  41}, 
	{  47,  42}, {  46,  44}, {  45,  45}, 
	{  44,  46}, {  42,  47}, {  41,  48}, 
	{  40,  49}, {  39,  50}, {  38,  51}, 
	{  36,  52}, {  35,  53}, {  34,  53}, 
	{  32,  54}, {  31,  55}, {  30,  56}, 
	{  28,  56}, {  27,  57}, {  25,  58}, 
	{  24,  58}, {  23,  59}, {  21,  60}, 
	{  20,  60}, {  18,  61}, {  17,  61}, 
	{  15,  61}, {  14,  62}, {  12,  62}, 
	{  11,  62}, {   9,  63}, {   8,  63}, 
	{   6,  63}, {   4,  63}, {   3,  63}, 
	{   1,  63}, {   0,  63}, {  -2,  63}, 
	{  -3,  63}, {  -5,  63}, {  -6,  63}, 
	{  -8,  63}, { -10,  63}, { -11,  62}, 
	{ -13,  62}, { -14,  62}, { -16,  61}, 
	{ -17,  61}, { -19,  61}, { -20,  60}, 
	{ -22,  60}, { -23,  59}, { -25,  58}, 
	{ -26,  58}, { -27,  57}, { -29,  56}, 
	{ -30,  56}, { -32,  55}, { -33,  54}, 
	{ -34,  53}, { -36,  53}, { -37,  52}, 
	{ -38,  51}, { -39,  50}, { -41,  49}, 
	{ -42,  48}, { -43,  47}, { -44,  46}, 
	{ -45,  45}, { -46,  44}, { -47,  42}, 
	{ -48,  41}, { -49,  40}, { -50,  39}, 
	{ -51,  38}, { -52,  36}, { -53,  35}, 
	{ -54,  34}, { -55,  32}, { -56,  31}, 
	{ -56,  30}, { -57,  28}, { -58,  27}, 
	{ -58,  25}, { -59,  24}, { -59,  23}, 
	{ -60,  21}, { -61,  20}, { -61,  18}, 
	{ -61,  17}, { -62,  15}, { -62,  14}, 
	{ -63,  12}, { -63,  11}, { -63,   9}, 
	{ -63,   8}, { -63,   6}, { -64,   4}, 
	{ -64,   3}, { -64,   1}, { -64,   0}, 
	{ -64,  -2}, { -64,  -3}, { -64,  -5}, 
	{ -63,  -6}, { -63,  -8}, { -63, -10}, 
	{ -63, -11}, { -63, -13}, { -62, -14}, 
	{ -62, -16}, { -61, -17}, { -61, -19}, 
	{ -61, -20}, { -60, -22}, { -59, -23}, 
	{ -59, -25}, { -58, -26}, { -58, -27}, 
	{ -57, -29}, { -56, -30}, { -56, -32}, 
	{ -55, -33}, { -54, -34}, { -53, -36}, 
	{ -52, -37}, { -51, -38}, { -50, -39}, 
	{ -49, -41}, { -48, -42}, { -47, -43}, 
	{ -46, -44}, { -45, -45}, { -44, -46}, 
	{ -43, -47}, { -42, -48}, { -41, -49}, 
	{ -39, -50}, { -38, -51}, { -37, -52}, 
	{ -36, -53}, { -34, -54}, { -33, -55}, 
	{ -32, -56}, { -30, -56}, { -29, -57}, 
	{ -27, -58}, { -26, -58}, { -25, -59}, 
	{ -23, -59}, { -22, -60}, { -20, -61}, 
	{ -19, -61}, { -17, -61}, { -16, -62}, 
	{ -14, -62}, { -13, -63}, { -11, -63}, 
	{ -10, -63}, {  -8, -63}, {  -6, -63}, 
	{  -5, -64}, {  -3, -64}, {  -2, -64}, 
	{   0, -64}, {   1, -64}, {   3, -64}, 
	{   4, -64}, {   6, -63}, {   8, -63}, 
	{   9, -63}, {  11, -63}, {  12, -63}, 
	{  14, -62}, {  15, -62}, {  17, -61}, 
	{  18, -61}, {  20, -61}, {  21, -60}, 
	{  23, -59}, {  24, -59}, {  25, -58}, 
	{  27, -58}, {  28, -57}, {  30, -56}, 
	{  31, -56}, {  32, -55}, {  34, -54}, 
	{  35, -53}, {  36, -52}, {  38, -51}, 
	{  39, -50}, {  40, -49}, {  41, -48}, 
	{  42, -47}, {  44, -46}, {  45, -45}, 
	{  46, -44}, {  47, -43}, {  48, -42}, 
	{  49, -41}, {  50, -39}, {  51, -38}, 
	{  52, -37}, {  53, -36}, {  53, -34}, 
	{  54, -33}, {  55, -32}, {  56, -30}, 
	{  56, -29}, {  57, -27}, {  58, -26}, 
	{  58, -25}, {  59, -23}, {  60, -22}, 
	{  60, -20}, {  61, -19}, {  61, -17}, 
	{  61, -16}, {  62, -14}, {  62, -13}, 
	{  62, -11}, {  63, -10}, {  63,  -8}, 
	{  63,  -6}, {  63,  -5}, {  63,  -3}, 
	{  63,  -2}
};
